form {display: grid; grid-template-columns: 1fr; grid-gap: 30px;}
form input, form textarea, form select {background: #fff; outline: 0; border: 1px solid #fff; width: 100%; box-sizing: border-box; padding: 16px 15px; display: inline-block; font-size: 16px; color: #000; font-family: inherit; transition: 0.3s; line-height: 19px; font-family: 'Sharp-Grotesk-Book-20'; border-radius: 5px;}

.register-form {grid-gap: 0;}
.register-form .flex-row {margin: 30px 0;}

form .flex-row {font-size: 12px; font-family: 'Sharp-Grotesk-Book-20'; line-height: 1;}

.form-grid {display: grid; grid-template-columns: 1fr 1fr; grid-gap: 20px;}
.select-grid {grid-template-columns: 4fr 3fr;}

.button-group {text-align: center;}
.button-group p {margin-top: 20px; font-size: 12px; line-height: 20px; font-family: 'Sharp-Grotesk-Book-20'; color: #fff3;}
.button-group p a {display: inline-block; text-decoration: underline; font-family: 'Sharp-Grotesk-SemiBold-20'; transition: 0.3s;}
.button-group p a:hover {color: #fff;}

.form-field, .select-wrapper {position: relative; transition: 0.3s;}
.form-field label, .select-wrapper label {font-family: 'Sharp-Grotesk-Book-25'; line-height: 1; font-size: 11px; line-height: 13px; text-transform: uppercase; display: block; margin-bottom: 10px;}

.form-field p {background: #fff; outline: 0; border: 1px solid #fff; width: 100%; box-sizing: border-box; padding: 16px 15px; display: inline-block; font-size: 16px; color: #000; font-family: inherit; transition: 0.3s; line-height: 19px; font-family: 'Sharp-Grotesk-Book-20'; border-radius: 5px;}


.form-field textarea {resize: none;height: 160px; overflow: auto;}

.form-field input:-webkit-autofill,
.form-field input:-webkit-autofill,
.form-field input:-webkit-autofill:hover,
.form-field input:-webkit-autofill:focus {
    background-color: #fff !important;
    box-shadow: 0 0 0px 1000px #fff inset !important;
    -webkit-text-fill-color: #000 !important;
    border-color: #fff !important;
    font-family: inherit;
}

.form-field input:-webkit-autofill,
.form-field input:-webkit-autofill:focus {
    transition: background-color 9999s ease-out, color 9999s ease-out;
    -webkit-animation: autofill-fix 0s 9999s both;
}

@keyframes autofill-fix {
    100% {
        background-color: #fff;
        color: #000;
    }
}

.form-field input[data-autocompleted] {
    background-color: transparent !important;
}

.checkout-left .form-field input:-webkit-autofill,
.checkout-left .form-field input:-webkit-autofill,
.checkout-left .form-field input:-webkit-autofill:hover,
.checkout-left .form-field input:-webkit-autofill:focus {
    background-color: #fff !important;
    box-shadow: 0 0 0px 1000px #fff inset !important;
    -webkit-text-fill-color: #000 !important;
    border-color: #00286A !important;
    font-family: inherit;
}


form .button.outline {text-align: center; width: 100%; padding: 16px 20px;}


form .check-label {display: flex; align-items: center; padding: 0 30px; line-height: 20px; justify-content: flex-start; user-select: none; position: relative; font-size: 12px; text-transform: none; margin: 0;}
form .check-label input {width: 16px; position: absolute; top: 50%; left: 0px; transform: translateY(-50%); cursor: pointer; border: 1px solid #fff; overflow: hidden;-webkit-appearance: none;height: 16px;padding: 0;transition: 0.3s;background: #fff0; box-sizing: border-box; border-radius: 2px;}
form .check-label input:checked {background: #fff;border: 1px solid #fff;}

form .check-label input::before {content: ''; display: block; position: absolute;width: 9px; height: 9px; top: 50%; left: 50%; transform: translate(-50%,-50%); background: #00286A; transition: 0.3s; background: var(--black); mask-size: contain; mask-position: center; mask-repeat:no-repeat; mask-image: url('/img/tick.svg'); opacity: 0;}
form .check-label input:checked::before {opacity: 1; }

.highlight_message p, .success-message p {color: #61161f!important;text-align: center!important;padding: 15px;background-color: #fdd!important;border-radius: 10px;border: 1px solid #f1b7bf;width: 100%; margin: 0 auto 25px!important;font-size: 19px; box-sizing: border-box;}
.success-message p {background: #2dd284!important; color: #fff!important; border: 1px solid #2dd284!important;}
.form-field-missing {border: 2px solid #f1b7bf!important; }
